Subject: Re: bug#65511: [PATCH] copy-next-command-output suggestion

From: Stefan Monnier <[email-masked]>
Date: Tue, 05 Sep 2023 09:10:25 -0400

>> It might not be that hard to do: tho: just push markers in *Messages* at
>> the beginning/end of every command (unless there have been no messages
>> since the last push), make sure we throw away those markers that reach
>> `point-min`, and then add a `copy-last-command-output` command that uses
>> those markers to extract the last message using those markers.
>> The tricky part will be to find the right message when messages are
>> emitted (e.g. by the completion UI) while the user types
>> `M-x copy-last-command-output RET`.
> Maybe we should indeed try to come up with such an alternative
> implementation.

Jeremy, do you want to take a crack at it?

        Stefan